<?php
$this->addCSSFromContext('templates/modern/css/list_goodmade_category_featured.css');

$big_image_preset = 'big'; // размер изображения в левой колонке
$small_image_preset = 'normal'; // размер изображений в правой колонке

$is_cat = false; // переключатель отображения категории
$is_small_images = true; // переключатель изображений в правой колонке

$text_color = ''; // цвет текст #fff
$bg_color = ''; // цвет фона #333
$links_color = ''; // цвет ссылок #fff
$hr_color = ''; // цвет горизонтальной линии между записями #666
$border_color = ''; // цвет контура #ccc
?>

<div class="list_goodmade_category_featured" id="wd_<?php echo $widget->bind_id; ?>">

<?php $first = reset($items); ?>


<div class="feature_first">

<div class="image">		
			<?php $image = $first[$image_field]; ?>
                
				
<?php if ($image) { ?>
           <a style="background-image:url('<?php echo html_image_src($image, $big_image_preset, true); ?>')" href="<?php echo href_to($ctype['name'], $first['slug']) . '.html'; ?>"></a>
<?php } ?>		
						
						
<div class="title_wrap">	
	
<div class="topbar">	

<?php if ($is_cat && $first['category_id'] > 1) { ?> 
            <div class="item-category"><a href="<?php echo href_to($ctype['name'], $first['cat_slug']); ?>"><?php html($first['cat_title']); ?></a></div>
<?php } ?>
									
            <?php if (!empty($first['info_bar'])){ $is_small = count($first['info_bar']) > 2; ?>
                <div class="info_bar d-flex p-0 bg-transparent border-0 text-muted mt-auto">
                    <?php foreach($first['info_bar'] as $bar){ ?>
                        <div class="mr-2<?php if($is_small){ ?> small<?php } ?> bar_item <?php echo !empty($bar['css']) ? $bar['css'] : ''; ?>" title="<?php html(!empty($bar['title']) ? $bar['title'] : ''); ?>">
                            <?php if (!empty($bar['icon'])){ ?>
                                <?php html_svg_icon('solid', $bar['icon']); ?>
                            <?php } ?>
                            <?php if (!empty($bar['href'])){ ?>
                                <a class="stretched-link" href="<?php echo $bar['href']; ?>">
                                    <?php echo $bar['html']; ?>
                                </a>
                            <?php } else { ?>
                                <?php echo $bar['html']; ?>
                            <?php } ?>
                        </div>
                    <?php } ?>
                </div>
            <?php } ?>						
					
					  
					  
</div>
            <h4 class="title">
            <a href="<?php echo href_to($ctype['name'], $first['slug']) . '.html'; ?>"><?php echo html($first['title']); ?></a>                   
            </h4>
		
</div>
		
					  
</div>
					
					
</div>
<div class="feature_list<?php echo $is_small_images ? ' is_images' : ''; ?>">





    <?php $index = 0; ?>
    <?php foreach($items as $item) { if($item == $first){ continue; } ?>
      
		
		<div class="item">
		
		<?php if($is_small_images){ ?>		
        <div class="image">		
			<?php $image = $item[$image_field]; ?>				
<?php if ($image) { ?>
           <a style="background-image:url('<?php echo html_image_src($image, $small_image_preset, true); ?>')" href="<?php echo href_to($ctype['name'], $item['slug']) . '.html'; ?>"></a>
<?php } ?>	
        </div>	
		<?php } ?>
		
		
		<?php if($is_small_images){ ?>	
		<div class="info">
		<?php } ?>
		
		<div class="topbar">	

<?php if ($is_cat && $item['category_id'] > 1) { ?> 
            <div class="item-category"><a href="<?php echo href_to($ctype['name'], $item['cat_slug']); ?>"><?php html($item['cat_title']); ?></a></div>
<?php } ?>
									
            <?php if (!empty($item['info_bar'])){ $is_small = count($item['info_bar']) > 2; ?>
                <div class="info_bar d-flex p-0 bg-transparent border-0 text-muted mt-auto">
                    <?php foreach($item['info_bar'] as $bar){ ?>
                        <div class="mr-2<?php if($is_small){ ?> small<?php } ?> bar_item <?php echo !empty($bar['css']) ? $bar['css'] : ''; ?>" title="<?php html(!empty($bar['title']) ? $bar['title'] : ''); ?>">
                            <?php if (!empty($bar['icon'])){ ?>
                                <?php html_svg_icon('solid', $bar['icon']); ?>
                            <?php } ?>
                            <?php if (!empty($bar['href'])){ ?>
                                <a class="stretched-link" href="<?php echo $bar['href']; ?>">
                                    <?php echo $bar['html']; ?>
                                </a>
                            <?php } else { ?>
                                <?php echo $bar['html']; ?>
                            <?php } ?>
                        </div>
                    <?php } ?>
                </div>
            <?php } ?>						
					
					  
					  
        </div>
            <h5 class="title">
            <a href="<?php echo href_to($ctype['name'], $item['slug']) . '.html'; ?>"><?php echo html($item['title']); ?></a>                   
            </h5>
			

		</div>
<?php if($is_small_images){ ?>	
		</div>
 <?php } ?>  
		
		
    <?php $index++; } ?>
	
	
	
</div>		
			
	
	
</div>


<style>
<?php if($bg_color){ ?>	
#wd_<?php echo $widget->bind_id; ?>{
background:<?php echo $bg_color; ?>;
}
<?php } ?>
<?php if($border_color){ ?>	
#wd_<?php echo $widget->bind_id; ?>{
border:1px solid <?php echo $border_color; ?>;
}
#wd_<?php echo $widget->bind_id; ?> .feature_first{
	margin:-1px; margin-right:0;
}
<?php } ?>

<?php if($text_color){ ?>	
#wd_<?php echo $widget->bind_id; ?> .feature_list .item,
#wd_<?php echo $widget->bind_id; ?> .feature_list .item .info_bar .bar_item{
	color:<?php echo $text_color; ?> !important;
	opacity:1;
}
<?php } ?>

<?php if($hr_color){ ?>	
#wd_<?php echo $widget->bind_id; ?> .feature_list .item{
	border-color:<?php echo $hr_color; ?>;
}
<?php } ?>

<?php if($links_color){ ?>	
#wd_<?php echo $widget->bind_id; ?> .feature_list a{
color:<?php echo $links_color; ?>;
}
#wd_<?php echo $widget->bind_id; ?> .feature_list a:hover{
 opacity:0.8;
}
<?php } ?>

</style>

